<html><head>
<meta http-equiv=content-language content=zh-cn>
<meta http-equiv=content-type content="text/html; charset=gb2312">
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7">
<LINK href="../CSS/Base.css" rel=stylesheet>
<link href="../CSS/Common.css" rel="stylesheet" type="text/css"/>
<LINK href="../CSS/Window.css" type=text/css rel=stylesheet>
<script type="text/javascript" src="../JS/Loading.js.php"></script>
<script type="text/javascript" src="../JS/Common.js.php"></script>
<script type="text/javascript" src="../JS/Actions.js.php"></script>
<script type="text/javascript" src="../JS/Window.js.php"></script>
<link href="../CSS/SurveyList.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../JS/Browser.js.php"></script>
<script type="text/javascript" src="../JS/Jquery.min.js.php"></script>
<script type="text/javascript" src="../JS/Jquery.notification.js.php"></script>
<link type="text/css" rel="stylesheet" href="../CSS/Notification.css" />
<script type="text/javascript" src="../JS/Actions.js.php"></script>
<script language=javascript src="../JS/CheckQuestion.js.php"></script>
<script>
function refreshParent() {
   self.location.replace(self.location.href);
}
var http_request = false;
function AjaxDataListRequest(url)
{
	http_request = false;
	if(window.ActiveXObject){
		try{ http_request = new ActiveXObject("Msxml2.XMLHTTP");}
		catch (e){ try{ http_request = new ActiveXObject("Microsoft.XMLHTTP");} catch (e) {}
		}
	}
	else if(window.XMLHttpRequest){
		http_request = new XMLHttpRequest();
		if (http_request.overrideMimeType){ http_request.overrideMimeType('text/xml');}
	}	
	if (!http_request){ alert("Cannot create an XMLHTTP instance");return false;}
	http_request.onreadystatechange = function() {
	  if( http_request.readyState == 4 && http_request.status == 200) {
			 var theRtn = http_request.responseText.split('######');
			 if( theRtn[0] == 'false' )
			 {
				  $.notification(theRtn[1]);
				  gId('t_userGroupID_text').focus();
			 }
			 else
			 {
				$("#t_userGroupID_container").html(theRtn[1]);
			    gId('SearchUsersSubmit').value = '清空';
			 }
		}
	}
	http_request.open('GET', url, true);
	http_request.send(null);
}
function AjaxInitRequest(url)
{
	http_request = false;
	if(window.ActiveXObject){
		try{ http_request = new ActiveXObject("Msxml2.XMLHTTP");}
		catch (e){ try{ http_request = new ActiveXObject("Microsoft.XMLHTTP");} catch (e) {}
		}
	}
	else if(window.XMLHttpRequest){
		http_request = new XMLHttpRequest();
		if (http_request.overrideMimeType){ http_request.overrideMimeType('text/xml');}
	}	
	if (!http_request){ alert("Cannot create an XMLHTTP instance");return false;}
	http_request.onreadystatechange = function() {
	  if( http_request.readyState == 4 && http_request.status == 200) {
			 var theRtn = http_request.responseText;
			 $("#t_userGroupID_container").html(theRtn);
			 gId('SearchUsersSubmit').value = '清空';
		}
	}
	http_request.open('GET', url, true);
	http_request.send(null);
}
function checkUserSubmit(groupId)
{
	if( document.getElementById('t_userGroupID') == null )
	{
		if(Trim(gId('t_userGroupID_text').value) == '' )
		{
			$.notification("输入节点名中的关键字获得可选择的节点列表!");
			gId('t_userGroupID_text').focus();
		}
		else
		{
			AjaxDataListRequest("../System/AjaxUserNodes.php?projectOwner={projectOwner}&surveyID={surveyID}&t_name="+Trim(gId('t_userGroupID_text').value));		
		}
	}
	else
	{
		gId('t_userGroupID_container').innerHTML = "<input name=\"t_userGroupID_text\" id=\"t_userGroupID_text\" size=30>";
		gId('SearchUsersSubmit').value = '检索';
	}
}
function Init()
{
	if( {t_userGroupID} != '' )
	{
		AjaxInitRequest("../System/AjaxShowUserNode.php?t_userGroupID={t_userGroupID}");
	}
}
</script>
<META content="MSHTML 6.00.3790.0" name=GENERATOR></HEAD>
<body oncontextmenu="return false" style="background-color:#244d8f;margin-bottom:15px;" onload="javascript:Init();">

<div style="line-height:10px">&nbsp;</div>
<div id="menu">
  <span style="float:left;padding-left:26px;"><div class="navmenu">数据报告中心 &raquo; 任务完成情况分析</div></span>
  <span style="float:right">
  <ul><li><a href="../System/ShowMain.php">我的问卷</a></li>
      <li><a href="../Analytics/DataOverview.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">标准报告</a>
      <li><a href="../Analytics/DefineReport.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">自定义报告</a></li>
      <li><a href="../Analytics/DataList.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">回复数据</a></li>
      <li><a href="../Analytics/EventAward.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">调查奖励</a></li>
      <li><a href="../Analytics/PanelArea.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">样本来源</a></li>
      <li class="current"><a href="../Analytics/TaskResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">计划任务</a></li>
      <li><a href="../Analytics/SurveyIndexResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}">指标分析</a></li>
	  </ul></span>
</div>

<div class="wrap q_clear" id=wrap>
<div>
<div class=content>
<div class=q_clear id=mysurvey><h1>[<font color=red>{surveyTitle}</font>] 问卷回复任务完成情况分析</h1><p class=surveynum>[ <span class=red>{totalRecNum}</span> 任务 ]</p><!--&nbsp;&nbsp;<input class=inputsubmit name="mgtTask" type="button" id="mgtTask" value="调整任务" onclick="window.location.href='{taskURL}'" style="display:{taskbtn}">--><br/></div>
<div id=myname>用于观察回复任务的执行情况，对于神秘客、暗访等特定项目，任务完成情况分析用以观察项目的执行进度和不同数据录入员的执行情况</div>
<div class="datalist">

	<table class=datatable id="datatable" width=100% cellspacing=0 cellpadding=0 style="border-left:0px;border-right:0px">
	  <tr><td width=1% noWrap style="border:0px">&nbsp;</td>
		  <td width=107 nowrap style="border:0px"><b>选择数据分析方向</b></td>
		  <td width=120 nowrap bgcolor="#eeeeee" style="border:0px;border-left:1px #b5cfd9 solid;border-right:1px #b5cfd9 solid" align=center><a href="../Analytics/PlanResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:#444444">计划完成情况</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
		  <td width=120 nowrap bgcolor="#244d8f" style="border:0px;border-right:1px #b5cfd9 solid" align=center><a href="../Analytics/TaskResult.php?surveyID={surveyID}&surveyTitle={survey_URLTitle}" style="color:white">任务完成情况</a><IMG SRC="../Images/list_menu_arrow.gif"></td>
		  <td width=* style="border:0px">&nbsp;</td>
	  </tr>
	</table>

<form name="Check_Form" id="Check_Form" method="POST" action="">

	<table class=datatable id="datatable" style="border-bottom:0px;" cellspacing=0 cellpadding=0>
    <tr><td colspan=6><span style="float:left"><IMG SRC="../Images/search.gif"> 查找录入员：
	    <select name="t_userid" id="t_userid" style="width:485px;*width:495px">
			<option value='all'>请选择数据录入员...</option>
			{userList}
		</select><br/>
	    <span style="display:{isProjectType1}">&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;用户节点：<span id="t_userGroupID_container"><input name="t_userGroupID_text" id="t_userGroupID_text" size=30></span>&nbsp;<input name="SearchUsersSubmit" class=inputsubmit type="button" id="SearchUsersSubmit" value="检索" onclick="javascript:checkUserSubmit();"><br/></span>
		&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;完成情况&nbsp;&nbsp;<input type="submit" class=inputsubmit name="Submit" value="查询"><input name="Action" type="hidden" id="Action" value="querySubmit">
	  </span>
	  <span style="float:right">任务数：<span class=red>{totalRecNum}</span>，其中：完成：<span class=red>{totalRecNum1}</span>，未完成：<span class=red>{totalRecNum0}</span>&nbsp;</span></td></tr>
	<tr class=coltitle>
	  <td width=1% noWrap>&nbsp;</td>
	  <td width=20%>&nbsp;<B>任务名称</B></td>
	  <td width=* noWrap align=left><B>任务描述</B></td>
	  <td width=14% noWrap align=left><strong>执行人</strong></td>
	  <td width=17%>&nbsp;<B>完成时间</B></td>
	  <td width=8% noWrap align=center><b>状态</b> </td>
	</tr>
	<!-- BEGIN TASK -->
	<tr onmouseover="this.style.backgroundColor='#DEEFFF'" onmouseout="this.style.backgroundColor='#FFFFFF'"> 
      <td noWrap {bg_color}>&nbsp;</td>
	  <td style="font-size:11px" nowrap>{taskName}</td>
	  <td align=left style="font-size:11px">{taskDesc}</td>
	  <td align=left style="font-size:11px" nowrap>{taskMan}</td>
	  <td style="font-size:11px" nowrap>{taskTime}</td>
      <td bgcolor="{status_color}" align=center style="font-size:11px" nowrap>{status}</td>
	</tr>
	<!-- END TASK -->
  </table>
</form>
</div>
<div class=pages>{pagesList}</div>
</div></div></div>
<script>setTimeout("closeDialog()",400);adjustMenuWarpSize();</script>
</body></html>
